/**
 * ...
 * @author lafunk
 */

function Completed() {
	this.title = new PIXI.Sprite.fromFrame("great.png"); 
	this.title.anchor.set(0.5);
	layers.completed.addChild(this.title);
	
	this.continueTxt = new PIXI.Sprite.fromFrame("tapContinue.png"); 
	this.continueTxt.anchor.set(0.5);
	this.continueTxt.x = screenManager.centerX;
	this.continueTxt.y = screenManager.centerY + 250;
	layers.completed.addChild(this.continueTxt);
	
	this.subtitle = new PIXI.Sprite.fromFrame("unlocked.png"); 
	this.subtitle.anchor.set(0.5);
	this.subtitle.x = screenManager.centerX + 10;
	this.subtitle.y = 210;
	
	this.numberTxt = new PIXI.Sprite.fromFrame("3.png"); 
	this.numberTxt.anchor.set(0.5);
	this.numberTxt.x = screenManager.centerX - this.subtitle.width * 0.5;
	this.numberTxt.y = 210;

	this.emitter = new Emitter(["star.png"], layers.bg, 0, Math.PI, Math.PI * 2, -30, 40, true); //(imgs, layer, rate, angle, amp, v, life, explode)
	this.emitter.x = screenManager.centerX;
	this.emitter.y = screenManager.centerY;
	this.subtitle.alpha = this.numberTxt.alpha = 0;
	
	layers.completed.addChild(this.subtitle);
	layers.completed.addChild(this.numberTxt);
}

Completed.prototype.resize = function() {
	this.emitter.x = screenManager.centerX;
	this.emitter.y = screenManager.centerY;
	this.continueTxt.y = screenManager.centerY + 100;
	this.subtitle.x = screenManager.centerX + 10;
	this.numberTxt.x = screenManager.centerX - this.subtitle.width * 0.5;
}

Completed.prototype.show = function() {
	this.emitter.timer = 50;
	this.title.scale.x = this.title.scale.y = 1.25;
	this.title.alpha = 0;
	this.subtitle.alpha = this.numberTxt.alpha = this.continueTxt.alpha = 0;
	
	if(director.findUnlockedPartsData().length < 6 && director.findUnlockedPartsData().length > 0) this.numberTxt.setTexture(PIXI.Texture.fromFrame(director.findUnlockedPartsData().length + '.png'));
}

Completed.prototype.update = function() {
	this.emitter.update();
	
	switch(director.state) {
		case STATE_COMPLETED:
			this.title.scale.x += (1 - this.title.scale.x) * 0.3;
			this.title.scale.y = this.title.scale.x;
			
			this.title.alpha += (1 - this.title.alpha) * 0.2;
			
			this.title.x = screenManager.centerX;
			this.title.y = 115;
			
			if(director.tick > 60) {
				this.numberTxt.alpha += (1 - this.numberTxt.alpha) - 0.2;
			}
			
			if(director.tick > 80) {
				this.continueTxt.alpha += (1 - this.continueTxt.alpha) - 0.2;
			}
			
			this.subtitle.alpha = this.numberTxt.alpha;
			
			layers.completed.visible = true;
			break;
		default:
			layers.completed.visible = false;
			break;
	}
}