/**
 * ...
 * @author laFunk
 */

function Export() {
	this.opened = false;
	this.icon = new PIXI.Sprite.fromFrame("export.png");
	this.icon.x = screenManager.centerX;
	this.icon.y = 5;
	this.icon.buttonMode = true;
	this.icon.interactive = true;
	var self = this;
	this.icon.on('pointerdown', function(e) { self.toggle(); e.stopPropagation(); });
	
	layers.ui.addChild(this.icon);
}

Export.prototype.resize = function() {
	this.icon.x = screenManager.centerX;
	this.icon.y = 5;
}

Export.prototype.onClick = function() {
	this.toggle();
}

Export.prototype.toggle = function() {
	(this.opened) ? this.close() : this.open();
}

Export.prototype.open = function() {
	importBtn.close();
	this.opened = true;
	var code = "";
	for(i = director.partList.length - 1; i >= 0; i--) {
		p = director.partList[i];
		code += p.data.uid + "," + Math.round(p.holder.x - screenManager.centerX) + "," + Math.round(p.holder.y - screenManager.centerY) + "*";
	}
	code = code.substring(0, code.length - 1);
	$(".export textarea").html(code); //uid,x,y*
	$(".export").removeClass("hide");
	
	if(!isMobile) ga('send', 'event', 'export', 'export', code);
}

Export.prototype.close = function() {
	this.opened = false;
	$(".export").addClass("hide");
}

Export.prototype.update = function() {
	this.icon.visible = (director.state == STATE_CREATIVE);
	if(this.opened && director.state != STATE_CREATIVE) this.close();
}