/* ADD SPRITE
 * REMOVE
 * UPDATE POSITION
 */

function Floor(d) {
	this.tick = 0;
	this.data = d;
	this.seed = Math.random();
	
	//GRAPHICS
	this.sprite = new PIXI.Sprite.fromFrame(d.sprite);
	
	if(d.sprite == "wall.png"){
		wallLayer.addChild(this.sprite); 
	}else if(d.sprite == "bat.png") {
		enemyLayer.addChild(this.sprite);
	}else{
		floorLayer.addChild(this.sprite);
	}
	this.init();
}

Floor.prototype.init = function() {
	this.remove = false;
	this.falling = false;
	this.tick = 0;
	this.vy = 0;
	this.sprite.alpha = 1;
	lastFloor = this;
	floorList.push(this);
	if(this.data.move){
		this.speedX = 1 - Math.random() * Math.random();
		this.speedY = 2 - Math.random() * Math.random() * 2;
		this.ampX = Math.random() * 0.06 + 0.01;
		this.ampY = Math.random() * 0.08 + 0.02;
	}
};

Floor.prototype.setSkull = function() {
	if((this.data.sprite == "floor.png" || this.data.sprite == "floorCrack.png" || this.data.sprite == "platform.png") && Math.random() > 0.5) {
		var s = map.getFloor(data.enemy[1]);
		s.sprite.x = this.sprite.x + this.data.padding * 6 + (this.sprite.width - this.data.padding * 12 - s.sprite.width) * Math.random();
		s.sprite.y = this.sprite.y + this.data.padding - s.sprite.height - 20;
	}
};

Floor.prototype.setBat = function() {
	if(this.data.sprite == "platform.png" && Math.random() > 0.5) {
		var s = map.getFloor(data.enemy[0]);
		s.sprite.x = this.sprite.x + this.data.padding * 6 + (this.sprite.width - this.data.padding * 12 - s.sprite.width) * Math.random();
		s.sprite.y = this.sprite.y + this.data.padding - s.sprite.height;
	}
	
};

Floor.prototype.setSpikes = function() {
	if(Math.random() > 0.5) {
		if(this.data.sprite == "floor.png") {
			var s;
			if(Math.random() > 0.5) {
				s = map.getFloor(data.spike[0]);
				s.sprite.y = this.sprite.y + this.data.padding - s.sprite.height;
			}else{
				s = map.getFloor(data.spike[1]);
				s.sprite.y = this.sprite.y - this.data.padding * 2 + this.sprite.height;
			}
			s.sprite.x = this.sprite.x + this.data.padding * 6 + (this.sprite.width - this.data.padding * 12 - s.sprite.width) * Math.random();	
			
		}else if(this.data.sprite == "floorWall.png") {
			var s;
			if(Math.random() > 0.5) {
				s = map.getFloor(data.spike[2]);
				s.sprite.x = this.sprite.x + this.data.padding - s.sprite.width;
			}else{
				s = map.getFloor(data.spike[3]);
				s.sprite.x = this.sprite.x - this.data.padding * 2 + this.sprite.width;
			}
			s.sprite.y = this.sprite.y + this.data.padding * 6 + (this.sprite.height - this.data.padding * 12 - s.sprite.height) * Math.random();
		}
	}	
};

Floor.prototype.updateRemove = function() {
	if(this.remove) {
		this.sprite.y = pixelH + this.sprite.height + 100;
		map.floorPool.push(this);
		floorList.splice(floorList.indexOf(this), 1);
	}
};

Floor.prototype.update = function() {
	this.tick++;
	if(this.data.move) {
		this.vx = Math.sin(this.tick * this.ampX) * this.speedX;
		this.vy = Math.sin(this.tick * this.ampY) * this.speedY;
		this.sprite.y += this.vy;
		this.sprite.x += this.vx;
		this.sprite.rotation = this.vx * 0.2;
	}
	if(this.sprite.y > pixelH -camera.lastY + 100) this.remove = true;
	//if(this.sprite.y < -camera.lastY - this.sprite.y - this.sprite.height) this.remove = true;
	
	if(this.falling) {
		this.sprite.alpha -= 0.06;
		if(this.sprite.alpha < 0.06) this.remove = true;
	}
	
	if(this.data.sprite == "skullSmall.png") {
		this.sprite.rotation = Math.sin(this.tick * 0.3 * (this.seed * 0.5 + 0.5)) * 0.05;
		this.sprite.x += Math.sin(this.tick * 0.3 * (this.seed * 0.5 + 0.5)) * 1;
	}
};