/**
 * ...
 * @author laFunk
 */
 
function Import() {
	this.opened = false;
	this.icon = new PIXI.Sprite.fromFrame("import.png");
	this.icon.x = screenManager.centerX - 190;
	this.icon.y = 5;
	this.icon.buttonMode = true;
	this.icon.interactive = true;
	var self = this;
	this.icon.on('pointerdown', function(e) { self.toggle(); e.stopPropagation(); });
	
	layers.ui.addChild(this.icon);
	
	$(".import button").click(importClick)
}

function importClick() {
	importBtn.doImport();
}

Import.prototype.resize = function() {
	this.icon.x = screenManager.centerX - 190;
	this.icon.y = 5;
}

Import.prototype.onClick = function() {
	this.toggle();
}

Import.prototype.toggle = function() {
	(this.opened) ? this.close() : this.open();
}

Import.prototype.open = function() {
	exportBtn.close();
	this.opened = true;
	$(".import").removeClass("hide");
}

Import.prototype.close = function() {
	this.opened = false;
	$(".import").addClass("hide");
}

Import.prototype.doImport = function() {
	if($(".import textarea").val() != "") {
		gun.clear();
		
		var dataArr = $(".import textarea").val().split("*");
		var i, data, current;
		for(i = 0; i < dataArr.length; i++) {
			current = dataArr[i].split(",");
			if(current.length == 3) {
				data = embed.parts.findFirst(["uid"],[current[0]]);
				if(data != null) new Part(data, parseFloat(current[1]) + screenManager.centerX, parseFloat(current[2]) + screenManager.centerY);
			}
		}
		
		this.close();
		
		ga('send', 'event', 'import', 'import', $(".import textarea").val());
	}
}

Import.prototype.update = function() {
	this.icon.visible = (director.state == STATE_CREATIVE);
	if(this.opened && director.state != STATE_CREATIVE) this.close();
}