function Level() {
	this.partList = [];
	
	this.width = 0;
	this.height = 0;
	
	this.readyForCompletion = null;
}

Level.prototype.setData = function(id) {
	var list = embed.levels.findAll(["level"], [id]);
	var i, data;
	for(i = 0 ; i < list.length; i++) {
		data = embed.parts.findFirst(["id"], [list[i].part]);
		this.partList.push(new LevelPart(data, list[i].x, list[i].y));
	}
	
	this.width = layers.level.width;
	this.height = layers.level.height;
}

Level.prototype.tryCompletePart = function(dragged) {
	var p = this.readyForCompletion;
	if(p != null) {
		dragged.completed = true;
		dragged.holder.interactive = false;
		dragged.holder.buttonMode = false;
		dragged.holder.x = p.image.x + p.image.width * 0.5 + layers.level.x;
		dragged.holder.y = p.image.y + p.image.height * 0.5 + layers.level.y;
		p.complete();
		return true;
	}
	return false;
}

Level.prototype.removeParts = function() {
	var i, p;
	for(i = this.partList.length - 1; i >= 0; i--) {
		p = this.partList[i];
		p.complete();
	}
}

Level.prototype.update = function() {
	var i, p;
	for(i = 0 ; i < this.partList.length; i++) {
		p = this.partList[i];
		p.update();
	}
	
	if(this.partList.length == 0 && director.state == STATE_BUILD && director.findExcessParts().length == 0) director.levelCompleted();
	
	layers.level.x = screenManager.centerX - this.width * 0.5;
	layers.level.y = screenManager.centerY - this.height * 0.5;
}