
function LevelPart(_data, _x, _y) {
	this.data = _data;
	
	this.image = new PIXI.Sprite.fromFrame("parts/" + _data.texture + ".png");
	this.image.alpha = 0;
	this.image.tint = 0xFF9999;
	this.image.x = _x;
	this.image.y = _y;
	if(director.currentLevel > 20) {
		this.image.x -= this.image.width * 0.5 - 50;
		this.image.y -= this.image.height * 0.5 - 50;
	}
	layers.level.addChild(this.image);
}

LevelPart.prototype.isBelow = function(part) {
	var difx = Math.abs(part.holder.x - part.image.width * 0.5 - this.image.x - layers.level.x);
	var dify = Math.abs(part.holder.y - part.image.height * 0.5 - this.image.y - layers.level.y);

	if(difx < 45 && dify < 45) {
		return true;
	}
	return false;
}

LevelPart.prototype.checkDraggedPlacement = function() {
	var p = director.currentDraggedPart;
	if(p != null && p.data.id == this.data.id && this.isBelow(p)) {
		return true;
	}
	
	return false;
}

LevelPart.prototype.complete = function() {
	level.readyForCompletion = null;
	
	layers.level.removeChild(this.image);
	level.partList.splice(level.partList.indexOf(this), 1);
	
	sound.sfx("complete");
	observer.event(EVENT_PART_BUILT);
}

LevelPart.prototype.update = function() {
	if(director.tick < level.partList.indexOf(this) * 25 + 60) {
		this.image.alpha += (0 - this.image.alpha) * 0.2;
	}else{
		this.image.alpha += (0.6 - this.image.alpha) * 0.2;
	}
	
	if(this.checkDraggedPlacement()) {
		level.readyForCompletion = this;
		this.image.tint = 0x66FF66;
	}else{
		if(level.readyForCompletion == this) level.readyForCompletion = null;
		this.image.tint = 0xFF6666;
	}
}