function Menu() {
	this.submenuList = [];
	this.selectedSubmenu = null;
	this.selectedPart = null;
	this.height = 0;
	
	this.bg = new PIXI.Sprite.fromFrame("menuBg.png");
	this.bg.height = screenManager.windowH;
	
	this.header = new PIXI.Sprite.fromFrame("parts.png");
	this.header.x = this.header.y = 20;
	
	layers.menu.x = -200;
	layers.menu.addChild(this.bg);
	layers.menu.addChild(this.header);
	
	this.createSubmenus();
	this.scroll = new MenuScroll();
}

Menu.prototype.resize = function() {
	this.bg.height = screenManager.windowH;
	
	this.scroll.resize();
}

Menu.prototype.createSubmenus = function() {
	this.submenuList.push(new Submenu(this, "grip"));
	this.submenuList.push(new Submenu(this, "trigger"));
	this.submenuList.push(new Submenu(this, "barrel"));
	this.submenuList.push(new Submenu(this, "frame"));
	this.submenuList.push(new Submenu(this, "addons"));
	
	this.setHeight();
}

Menu.prototype.setHeight = function() {
	this.height = 360;
	if(this.selectedSubmenu != null) {
		this.height += this.selectedSubmenu.findActiveParts().length * 64;
	}
}

Menu.prototype.update = function() { 
	this.header.y = 20 + (-this.height + screenManager.windowH - 20) * this.scroll.ratio;
	
	var dx = -200;
	
	switch(director.state) {
		case STATE_BUILD:
		case STATE_CREATIVE:
			if(director.tick > 140 || director.state == STATE_CREATIVE) dx = 0;
			break;
		case STATE_SHOOT:
			break;
	}
	
	layers.menu.x += (dx - layers.menu.x) * 0.3;
	
	var i, s;
	for(i = 0 ; i < this.submenuList.length; i++) {
		s = this.submenuList[i];
		s.update();
	}
	
	this.scroll.update();
}