/**
 * ...
 * @author lafunk
 */
 
function MenuScroll() {
	this.dragged = false;
	this.ratio = 0;
	
	this.bg = new PIXI.Sprite.fromFrame("scrollBg.png");
	this.bg.height = screenManager.windowH;
	this.bg.x = 164;
	
	this.scroll = new PIXI.Sprite.fromFrame("scrollBtn.png");
	this.scroll.x = 152;
	this.scroll.buttonMode = true;
	this.scroll.interactive = true;
	
	layers.menu.addChild(this.bg);
	layers.menu.addChild(this.scroll);
	
	
	var self = this;
	this.scroll.on('pointerdown', function() { self.onDragStart(); })
    this.scroll.on('pointerup',  function() { self.onDragStop(); });
    this.scroll.on('pointerupoutside',  function() { self.onDragStop(); });
}

MenuScroll.prototype.resize = function() {
	this.bg.height = screenManager.windowH;
}

MenuScroll.prototype.onDragStart = function() {
	this.dragged = true;
}

MenuScroll.prototype.onDragStop = function() {
	this.dragged = false;
}

MenuScroll.prototype.update = function() {
	this.scroll.visible = (menu.height > screenManager.windowH);
	if(!this.scroll.visible) this.scroll.y = 0;
	
	if(this.dragged) {
		this.scroll.y += (input.globalY - 30 - this.scroll.y) * 0.3;
	}else{
		
	}
	
	if(this.scroll.y < 0) this.scroll.y = 0;
	if(this.scroll.y > screenManager.windowH - 60) this.scroll.y = screenManager.windowH - 60;
	
	this.ratio = this.scroll.y / (screenManager.windowH - 60);
}