/**
 * ...
 * @author lafunk
 */


function Settings() {
	this.sfx = true;
	this.music = true;
	
	this.sfxBtn = new PIXI.Sprite.fromFrame("button/sfx.png");
	this.musicBtn = new PIXI.Sprite.fromFrame("button/music.png");
	this.moreBtn = new PIXI.Sprite.fromFrame("button/moreGames.png");
	
	this.sfxBtn.y = this.musicBtn.y = this.moreBtn.y = 4;
	
	this.sfxBtn.buttonMode = this.musicBtn.buttonMode = this.moreBtn.buttonMode = true;
	this.sfxBtn.interactive = this.musicBtn.interactive = this.moreBtn.interactive = true;
	
	var self = this;
	this.sfxBtn.on('pointerdown', function() { self.toggleSfx(); })
	this.musicBtn.on('pointerdown', function() { self.toggleMusic(); })
	this.moreBtn.on('pointerdown', function() { self.moreGames(); })
	
	layers.ui.addChild(this.sfxBtn);
	layers.ui.addChild(this.musicBtn);
	//layers.ui.addChild(this.moreBtn);
	
	this.resize();
}

Settings.prototype.resize = function() {
	this.sfxBtn.x = screenManager.windowW - 34 - 4;
	this.musicBtn.x = this.sfxBtn.x - 34 - 4;
	this.moreBtn.x = this.musicBtn.x - 70 - 4;
}

Settings.prototype.toggleSfx = function() {
	this.sfx = !this.sfx;
	(this.sfx) ? this.sfxBtn.alpha = 1 : this.sfxBtn.alpha = 0.5;
}

Settings.prototype.toggleMusic = function() {
	this.music = !this.music;
	if(!this.music) {
		sound.stop();
	}else{
		sound.play(director.state);
	}
	(this.music) ? this.musicBtn.alpha = 1 : this.musicBtn.alpha = 0.5;
}

Settings.prototype.moreGames = function() {
	window.open('http://www.lagged.com','_blank');
}

Settings.prototype.update = function() {
	
}