function Sound() {
	//////////LOAD sound /////////
	this.intro = new buzz.sound( "SOUND/intro", {
	    formats: [ "ogg", "mp3" ]
	});
	this.game = new buzz.sound( "SOUND/game", {
	    formats: [ "ogg", "mp3" ]
	});
	
	this.pistol1 = new buzz.sound( "SOUND/pistol1", {
	    formats: [ "ogg", "mp3" ]
	});
	this.pistol2 = new buzz.sound( "SOUND/pistol2", {
	    formats: [ "ogg", "mp3" ]
	});
	this.pistol3 = new buzz.sound( "SOUND/pistol3", {
	    formats: [ "ogg", "mp3" ]
	});
	
	this.revolver1 = new buzz.sound( "SOUND/revolver1", {
	    formats: [ "ogg", "mp3" ]
	});
	this.revolver2 = new buzz.sound( "SOUND/revolver2", {
	    formats: [ "ogg", "mp3" ]
	});
	this.revolver3 = new buzz.sound( "SOUND/revolver3", {
	    formats: [ "ogg", "mp3" ]
	});
	
	this.submachine1 = new buzz.sound( "SOUND/submachine1", {
	    formats: [ "ogg", "mp3" ]
	});
	this.submachine2 = new buzz.sound( "SOUND/submachine2", {
	    formats: [ "ogg", "mp3" ]
	});
	this.submachine3 = new buzz.sound( "SOUND/submachine3", {
	    formats: [ "ogg", "mp3" ]
	});
	
	this.rifle1 = new buzz.sound( "SOUND/rifle1", {
	    formats: [ "ogg", "mp3" ]
	});
	this.rifle2 = new buzz.sound( "SOUND/rifle2", {
	    formats: [ "ogg", "mp3" ]
	});
	this.rifle3 = new buzz.sound( "SOUND/rifle3", {
	    formats: [ "ogg", "mp3" ]
	});
	
	this.shotgun1 = new buzz.sound( "SOUND/shotgun1", {
	    formats: [ "ogg", "mp3" ]
	});
	this.shotgun2 = new buzz.sound( "SOUND/shotgun2", {
	    formats: [ "ogg", "mp3" ]
	});
	this.shotgun3 = new buzz.sound( "SOUND/shotgun3", {
	    formats: [ "ogg", "mp3" ]
	});
	
	this.shot1 = new buzz.sound( "SOUND/shot1", {
	    formats: [ "ogg", "mp3" ]
	});
	this.shot2 = new buzz.sound( "SOUND/shot2", {
	    formats: [ "ogg", "mp3" ]
	});
	this.shot3 = new buzz.sound( "SOUND/shot3", {
	    formats: [ "ogg", "mp3" ]
	});
	this.open = new buzz.sound( "SOUND/open", {
	    formats: [ "ogg", "mp3" ]
	});
	this.complete = new buzz.sound( "SOUND/complete", {
	    formats: [ "ogg", "mp3" ]
	});
	
	this.current = null;
}

Sound.prototype.play = function(name) {
	if(settings.music) {
		if(this.current != name) {
			this.stop();
			switch(name) {
				case STATE_TITLE:
					this.intro.play().fadeIn().loop();
					break;
				default:
					this.game.play().fadeIn().loop();
					break;
			}
			this.current = name;
		}
	}
};

Sound.prototype.stop = function() {
	this.current = null;
	this.intro.stop();
	this.game.stop();
};

Sound.prototype.sfx = function(name) {
	if(settings.sfx) {
		switch(name) {
			case "pistol":
				if(Math.random() <  0.33) {
					this.pistol1.stop();
					this.pistol1.play();
				}else if(Math.random() < 0.66) {
					this.pistol2.stop();
					this.pistol2.play();
				}else{
					this.pistol3.stop();
					this.pistol3.play();
				}
				break;
			case "revolver":
				if(Math.random() <  0.33) {
					this.revolver1.stop();
					this.revolver1.play();
				}else if(Math.random() < 0.66) {
					this.revolver2.stop();
					this.revolver2.play();
				}else{
					this.revolver3.stop();
					this.revolver3.play();
				}
				break;
			case "submachine":
				if(Math.random() <  0.33) {
					this.submachine1.stop();
					this.submachine1.play();
				}else if(Math.random() < 0.66) {
					this.submachine2.stop();
					this.submachine2.play();
				}else{
					this.submachine3.stop();
					this.submachine3.play();
				}
				break;
			case "rifle":
				if(Math.random() <  0.33) {
					this.rifle1.stop();
					this.rifle1.play();
				}else if(Math.random() < 0.66) {
					this.rifle2.stop();
					this.rifle2.play();
				}else{
					this.rifle3.stop();
					this.rifle3.play();
				}
				break;
			case "shotgun":
				if(Math.random() <  0.33) {
					this.shotgun1.stop();
					this.shotgun1.play();
				}else if(Math.random() < 0.66) {
					this.shotgun2.stop();
					this.shotgun2.play();
				}else{
					this.shotgun3.stop();
					this.shotgun3.play();
				}
				break;
				
			case "shot":
				if(Math.random() <  0.33) {
					this.shot1.stop();
					this.shot1.play();
				}else if(Math.random() < 0.66) {
					this.shot2.stop();
					this.shot2.play();
				}else{
					this.shot3.stop();
					this.shot3.play();
				}
				break;
				
			case "open":
				this.open.stop();
				this.open.play();
				break;
			case "complete":
				this.complete.stop();
				this.complete.play();
				break;
		}
	}
}

Sound.prototype.toggle = function() {
	director.soundEnabled = !director.soundEnabled;
	if(!director.soundEnabled) {
		ui.sound.sprite.alpha = 0.35;
		sound.stop();
	}else{
		ui.sound.sprite.alpha = 0.9;
		sound.play(gameState);
	}
};

Sound.prototype.loaded = function() {
	return this.intro.getStateCode() == 4 && this.game.getStateCode() == 4;
};