/**
 * ...
 * @author lafunk
 */

 function Title() {
	
	this.tick = 0;
	
	this.weaponImgs = ["mp5", "m249","g3","fnp90","famas","fal","deagle","aug","arc300", "socom"];
	this.weaponList = [];
	
	this.title = new PIXI.Sprite.fromFrame("title.png");
	this.title.anchor.set(0.5);
	this.title.x = screenManager.centerX;
	this.title.y = screenManager.centerY;
	this.title.alpha = 0;
	this.title.scale.x = this.title.scale.y = 1.2;
	
	this.start = new PIXI.Sprite.fromFrame("start.png");
	this.start.anchor.set(0.5);
	this.start.x = screenManager.centerX;
	this.start.y = screenManager.centerY + 240;
	this.start.alpha = 0;
	
	this.start.interactive = this.start.buttonMode = this.title.interactive = this.title.buttonMode = true;
	
	this.sponsor = new PIXI.Sprite.fromFrame("sponsor.png");
	
	this.android = new PIXI.Sprite.fromFrame("storeAndroid.png");
	this.ios = new PIXI.Sprite.fromFrame("storeIos.png");
	
	this.sponsor.x = screenManager.centerX - this.sponsor.width * 0.5;
	this.sponsor.y = screenManager.windowH - this.sponsor.height - 10;
	
	this.ios.x = 10;
	this.ios.y = screenManager.windowH - this.ios.height - 10;
	
	this.android.x = screenManager.windowW - this.android.width - 10;
	this.android.y = screenManager.windowH - this.android.height - 10;
	
	this.sponsor.alpha = this.android.alpha = this.ios.alpha = 0;
	
	this.sponsor.buttonMode = this.android.buttonMode = this.ios.buttonMode = true;
	this.sponsor.interactive = this.android.interactive = this.ios.interactive = true;
	
	var self = this;
	this.sponsor.on('pointerdown', function(e) { self.sponsorClick(e); });
	this.android.on('pointerdown', function(e) { self.androidClick(e); });
	this.ios.on('pointerdown', function(e) { self.iosClick(e); });
	this.start.on('pointerdown', function(e) { director.goBuild(); });
	this.title.on('pointerdown', function(e) { director.goBuild(); });
	
	this.createWeaponFan();
	
	layers.main.addChild(this.title);
	layers.main.addChild(this.start);
	layers.main.addChild(this.sponsor);
	if(!isMobile) layers.main.addChild(this.ios);
	if(!isMobile) layers.main.addChild(this.android);
 }
 
 Title.prototype.createWeaponFan = function() {
	var i;
	for(i = 0 ; i < this.weaponImgs.length; i++) {
		var weap = new PIXI.Sprite.fromFrame("weapons/" + this.weaponImgs[i] + ".png");
		weap.alpha = 0;
		weap.anchor.set(1, 0.5);
		weap.rotation = i * 0.5;
		layers.main.addChild(weap);
		this.weaponList.push(weap);
	}
 };
 
 Title.prototype.updateWeaponFan = function() {
	var i;
	for(i = 0 ; i < this.weaponList.length; i++) {
		
		var weap = this.weaponList[i];
		
		weap.rotation = i * 0.6 + this.tick * 0.01;
		weap.scale.x = weap.scale.y = Math.sin(weap.rotation + 0.2);
		weap.alpha += (weap.scale.x - weap.alpha) * 0.02;
		if(weap.scale.x < 0) weap.scale.x = weap.scale.y = 0;
		
		weap.x = screenManager.centerX + Math.sin(weap.rotation - Math.PI * 0.5 - 0.5) * 300 + 35;
		weap.y = screenManager.centerY + Math.sin(weap.rotation) * 200 - 100;
		
	}
}

Title.prototype.hideWeaponFan = function() {
	var i;
	for(i = 0 ; i < this.weaponList.length; i++) {
		var weap = this.weaponList[i];
		
		weap.alpha += (0 - weap.alpha) * 0.2;
		if(weap.alpha > 0.1) {
			weap.rotation = i * 0.6 + this.tick * 0.01;
			weap.scale.x = weap.scale.y = Math.sin(weap.rotation + 0.2);
			if(weap.scale.x < 0) weap.scale.x = weap.scale.y = 0;
			
			weap.x = screenManager.centerX + Math.sin(weap.rotation - Math.PI * 0.5 - 0.5) * 300 + 35;
			weap.y = screenManager.centerY + Math.sin(weap.rotation) * 200 - 100;
		}else{
			weap.visible = false;
		}
	}
}
 
 Title.prototype.sponsorClick = function(e) {
	e.stopPropagation();
	window.open('http://www.lagged.com','_blank');
 }
 
 Title.prototype.iosClick = function(e) {
	e.stopPropagation();
	window.open('https://itunes.apple.com/us/app/gun-builder-2/id1317761578','_blank');
 }
 
 Title.prototype.androidClick = function(e) {
	 e.stopPropagation();
	window.open('https://play.google.com/store/apps/details?id=com.lagged.gunbuilder2','_blank');
 }
 
 Title.prototype.resize = function() {
	this.title.x = screenManager.centerX;
	this.title.y = screenManager.centerY - 160;
	
	this.start.x = screenManager.centerX;
	this.start.y = screenManager.centerY + 80;
	
	this.sponsor.x = screenManager.centerX - this.sponsor.width * 0.5;
	this.sponsor.y = screenManager.windowH - this.sponsor.height - 10;
	
	this.ios.x = 10;
	this.ios.y = screenManager.windowH - this.ios.height - 10;
	
	this.android.x = screenManager.windowW - this.android.width - 10;
	this.android.y = screenManager.windowH - this.android.height - 10;
 }
 
 Title.prototype.update = function() {
	switch(director.state) {
		case STATE_TITLE:
			this.tick++;
			if(this.tick > 30) {
				this.title.scale.x += (1 - this.title.scale.x) * 0.1;
				this.title.scale.y = this.title.scale.x;
				
				this.title.alpha += (1 - this.title.alpha) * 0.15;
			}
			
			if(this.tick > 100) {
				this.start.y += (screenManager.centerY + 40 - this.start.y) * 0.1;
				this.start.alpha += (1 - this.start.alpha) * 0.1;
				if(this.tick > 100) {
					this.start.scale.x += (Math.sin(this.tick * 0.18) * 0.05 + 0.95 - this.start.scale.x) * 0.1;
					this.start.scale.y = this.start.scale.x;
				}
			}
			
			this.sponsor.alpha += (1 - this.sponsor.alpha) * 0.3;
			this.android.alpha = this.ios.alpha = this.sponsor.alpha;
			
			this.updateWeaponFan();
			break;
			
		case STATE_BUILD:
			this.tick++;
			this.title.alpha += (0 - this.title.alpha) * 0.1;
			this.start.alpha += (0 - this.start.alpha) * 0.3;
			this.start.scale.x += (0 - this.start.scale.x) * 0.1;
			this.start.scale.y = this.start.scale.x;
			
			this.sponsor.alpha += (0 - this.sponsor.alpha) * 0.3;
			this.android.alpha = this.ios.alpha = this.sponsor.alpha;
			this.title.interactive = this.title.buttonMode = this.start.interactive = this.start.buttonMode = this.android.interactive = this.android.buttonMode = this.ios.interactive = this.ios.buttonMode = this.sponsor.interactive = this.sponsor.buttonMode = false;
			this.hideWeaponFan();
			break;
	}
 }