/**
 * ...
 * @author lafunk
 */

function Tutorial() {
	this.hidden = true;
	this.step = 1;
	this.tick = 0;
	
	this.holder = new PIXI.DisplayObjectContainer();
	this.holder.x = 190;
	this.holder.alpha = 0;
	
	this.bg = new PIXI.Sprite.fromFrame("tutorialBg.png");
	
	this.txt = new PIXI.BitmapText("TAP TO OPEN", {font: "30px Coolvetica30", align: "center" });
	this.txt.anchor.set(0.5);
	this.txt.x = 121;
	this.txt.y= 58;
	
	this.holder.addChild(this.bg);
	this.holder.addChild(this.txt);
	layers.ui.addChild(this.holder);
	
	this.data = embed.tutorial.findFirst(["id"], ["menu"]);
}

Tutorial.prototype.event = function(type, args) {
	if(this.data != null && this.data.event == type && this.tick > 20) {
		this.next();
	}
	if(this.data != null && this.data.wait == type) {
		this.show();
	}
	
	//console.log("TUTORIAL EVENT: " + type);
	//console.log(this.data);
}

Tutorial.prototype.show = function() {
	this.hidden = false;
	this.txt.text = this.data.text;
	this.holder.y = this.data.pos;
	console.log("TUTORIAL show: " + this.data.text);
}

Tutorial.prototype.hide = function() {
	this.hidden = true;
}

Tutorial.prototype.next = function() {
	this.step++;
	this.tick = 0;
	this.data = embed.tutorial.findFirst(["step"], [this.step]);
	if(this.data != null && !this.hidden && this.data.wait == null) {
		this.show();
	}else{
		this.hide();
	}
}

Tutorial.prototype.update = function() {
	this.tick++;
	if(this.data != null && this.data.pos == null) {
		this.holder.x = gun.holder.x + 80;
		this.holder.y = gun.holder.y - 70;
	}else{
		this.holder.x += (Math.sin(this.tick * 0.05));
	}
	if(this.hidden) {
		this.holder.alpha += (0 - this.holder.alpha) * 0.3;
	}else if(director.tick > 220 || (this.data.pos == null && director.tick > 30)){
		this.holder.alpha += (1 - this.holder.alpha) * 0.3;
	}
}